
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #513

Option to disable ${artist} and ${album} falling back on folder names

March 03, 2015 19:15 - Zane Tu

Status: Closed Start date: March 03, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 3.7   

Affects version: 3.6   

Description

In Audaciuos v3.6 that I installed from deb-multimedia.org [1], if a music file has no meta info, the name of its parent / grandparent

folder will be used as ${artist} / ${album}.

For example, given the custom display string "${?title:${title}}${?artist: - ${artist}}", the file

"/music/AVeryLongFolderName/FileWithoutMetaInfo - ArtistName.m4a" would be displayed as "FileWithoutMetaInfo - ArtistName -

AVeryLongFolderName" in playlist, where " - AVeryLongFolderName" is undesirable. By contrast, Audacious v3.5.2 only shows

"FileWithoutMetaInfo - ArtistName".

For those who really need the fallback behavior, you can add something like ${artistOrParentFolder} or

${albumOrGrandparentFolder}.

[1] http://www.deb-multimedia.org/dists/unstable/main/binary-amd64/package/audacious

History

#1 - March 03, 2015 19:30 - Zane Tu

I forgot to mention that the issue happens in "Winamp Classic Interface". In "GTK interface", this issue is less annoying because "Artist" and "Album"

have dedicated columns.

#2 - March 05, 2015 22:14 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from [Audaciuos v3.6] ${artist} and ${album} should not fall back on folder names.  to Option to disable ${artist} and ${album} falling

back on folder names

- Category set to libaudcore

The fallback behavior is intentional, hence not a bug, but we can add an option to disable it in the next version.

#3 - May 03, 2015 18:25 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.7

- % Done changed from 0 to 100

Implemented in master branch.

https://github.com/audacious-media-player/audacious/commit/281132e1bb0e607def5f16af0f729379663a3e03

https://github.com/audacious-media-player/audacious/commit/6054d636b0deddead8d79d3e83692010142c1dff
